#!/bin/bash

set -e
set -o pipefail
chkconfig  --level 35 crond on
/sbin/service crond restart
/sbin/service rsyslog start
mkdir -p /var/spool/cron/root
cd /var/spool/cron && chmod -R 600 root
mkdir -p /data/log/devlog  /data/log/other  /data/log/qd  /data/project /data/wapage/log/misc
rm -rf /data/project/*
mv /app/resin-pro-3.1.6/webapps/ROOT.war /data/project/ROOT.war
chown wapage:wapage -R /app/wapage /data/wapage/log/misc
chmod 755 /app/wapage/miscSearch/start.sh

exec "$@"